Subject: Re: Location of git config on Windows

From: Daniel Corbe <[email-masked]>
Date: Mon, 18 Aug 2014 13:05:50 -0400

Erik Faye-Lund <[email-masked]> writes:

> On Mon, Aug 18, 2014 at 5:47 PM, Erik Faye-Lund <[email-masked]> wrote:
>> On Mon, Aug 18, 2014 at 5:40 PM, Daniel Corbe <[email-masked]> wrote:
>>>
>>> Erik Faye-Lund <[email-masked]> writes:
>>>
>>>> Or you could just restart your shell when you disconnect...
>>>
>>> Well I'm not that daft.  I tried that and if it had resolved my problem
>>> I wouldn't have posted.
>>
>> Hm, but isn't that what Karsten explains in his last paragraph? What
>> shell are you running msys or cmd?
>
> Our /etc/profile does this:
>
> https://github.com/msysgit/msysgit/blob/master/etc/profile#L38
>
> ...however, our git-wrapper only does this:
>
> https://github.com/msysgit/msysgit/blob/master/src/git-wrapper/git-wrapper.c#L71
>
> So yeah, we don't seem to actually check if %HOMEDRIVE%%HOMEPATH%
> exists. Perhaps fixing this is the right thing to do then? Since the
> git-wrapper is run for *every* invokation of git, you wouldn't even
> have to restart the shell in this case.

But again, restarting the shell doesn't fix the problem.  

-Daniel